unit klassen;

interface

type

tautodaten=record             // record als Datenabbild der Objekte
  marke,typ:string[50];
  baujahr,km:integer;
  preis:real;
end;



Tauto=class
private
  marke,typ:string[50];
  baujahr,km:integer;
  preis:real;
public
 procedure set_marke(s:string);
 procedure set_typ(s:string);
 procedure set_baujahr(b:integer);
 procedure set_km(k:integer);
 procedure set_preis(p:real);
 procedure set_all(au:Tautodaten);
 function get_marke:string;
 function get_typ:string;
 function get_baujahr:integer;
 function get_km:integer;
 function get_preis:real;
 function get_all:tautodaten;
end;






var
a:array of tautodaten;    // Objekte kann man nicht direkt speichern, daher mssen ihre Daten in einen Array of Record
f:file of tautodaten;     // file zum Speichern der Obket-Daten auf der Festplatte


implementation

procedure Tauto.set_marke(s: string);
begin
  marke:=s;
end;
procedure Tauto.set_typ(s: string);
begin
  typ:=s;
end;
procedure Tauto.set_baujahr(b: integer);
begin
  baujahr:=b;
end;
procedure Tauto.set_km(k: integer);
begin
  km:=k;
end;
procedure Tauto.set_preis(p: real);
begin
  preis:=p;
end;

procedure Tauto.set_all(au: tautodaten);
begin
  marke:=au.marke;
  typ:=au.typ;
  baujahr:=au.baujahr;
  km:=au.km;
  preis:=au.preis;
end;
function Tauto.get_marke:string;
begin
  result:=marke;
end;
function Tauto.get_typ:string;
begin
  result:=typ;
end;
function Tauto.get_baujahr:integer;
begin
  result:=baujahr;
end;
function Tauto.get_km:integer;
begin
  result:=km;
end;
function Tauto.get_preis:real;
begin
 result:=preis;
end;
function Tauto.get_all:Tautodaten;
begin
 result.marke:=marke;
 result.typ:=typ;
 result.baujahr:=baujahr;
 result.km:=km;
 result.preis:=preis;
end;

end.
